--
-- Zone: Alterac Valley
--
CattleProd_ZONE_ALTERAC_VALLEY = "Alterac Valley";

--
-- Zone: Arathi Basin
--
CattleProd_ZONE_ARATHI_BASIN = "Arathi Basin";

--
-- Zone: Eye of the Storm
--
CattleProd_ZONE_EYE_OF_THE_STORM = "Eye of the Storm";

--
-- Zone: Warsong Gulch
--
CattleProd_ZONE_WARSONG_GULCH = "Warsong Gulch";

--
-- Debuff: Idle
--
CattleProd_DEBUFF_IDLE = "Idle";

--
-- Debuff: Inactive
--
CattleProd_DEBUFF_INACTIVE = "Inactive";

--
-- Constant: Alliance Controlled
--
CattleProd_ALLIANCE_CONTROLLED = "Alliance Controlled";

--
-- Constant: Horde Controlled
--
CattleProd_HORDE_CONTROLLED = "Horde Controlled";

--
-- Constant: In Conflict
--
CattleProd_IN_CONFLICT = "In Conflict";

--
-- Command: /cpconf
--
CattleProd_COMMAND_CPCONF = "/cpconf";

--
-- Command: /cpherd
--
CattleProd_COMMAND_CPHERD = "/cpherd";

--
-- Command: /cpdefend
--
CattleProd_COMMAND_CPDEFEND = "/cpdefend";

--
-- Command: /cptest
--
CattleProd_COMMAND_CPTEST = "/cptest";

--
-- enUS Strings
--
CattleProd_Strings_enUS = {
    [CattleProd_ZONE_ALTERAC_VALLEY] = "Alterac Valley",
    [CattleProd_ZONE_ARATHI_BASIN] = "Arathi Basin",
    [CattleProd_ZONE_EYE_OF_THE_STORM] = "Eye of the Storm",
    [CattleProd_ZONE_WARSONG_GULCH] = "Warsong Gulch",

	[CattleProd_DEBUFF_IDLE] = "Idle",
	[CattleProd_DEBUFF_INACTIVE] = "Inactive",

    [CattleProd_COMMAND_CPCONF] = "/cpconf";
    [CattleProd_COMMAND_CPHERD] = "/cpherd";
    [CattleProd_COMMAND_CPDEFEND] = "/cpdefend";
    [CattleProd_COMMAND_CPTEST] = "/cptest";
}

--
-- deDE Strings
--
CattleProd_Strings_deDE = {
    [CattleProd_ZONE_ALTERAC_VALLEY] = "Alteractal",
    [CattleProd_ZONE_ARATHI_BASIN] = "Arathibecken",
    [CattleProd_ZONE_EYE_OF_THE_STORM] = "Auge des Sturms",
    [CattleProd_ZONE_WARSONG_GULCH] = "Kriegshymnenschlucht",

	[CattleProd_DEBUFF_IDLE] = "Idle",
	[CattleProd_DEBUFF_INACTIVE] = "Inactive",

    [CattleProd_COMMAND_CPCONF] = "/cpconf";
    [CattleProd_COMMAND_CPHERD] = "/cpherd";
    [CattleProd_COMMAND_CPDEFEND] = "/cpdefend";
    [CattleProd_COMMAND_CPTEST] = "/cptest";
}

--
-- frFR Strings
--
CattleProd_Strings_frFR = {
    [CattleProd_ZONE_ALTERAC_VALLEY] = "Vall\195\169e d'Alterac",
    [CattleProd_ZONE_ARATHI_BASIN] = "Bassin d'Arathi",
    [CattleProd_ZONE_EYE_OF_THE_STORM] = "L'\197\146il du cyclone",
    [CattleProd_ZONE_WARSONG_GULCH] = "Goulet des Chanteguerres",

	[CattleProd_DEBUFF_IDLE] = "Oisif",
	[CattleProd_DEBUFF_INACTIVE] = "Inactif",

    [CattleProd_COMMAND_CPCONF] = "/cpconf";
    [CattleProd_COMMAND_CPHERD] = "/cpherd";
    [CattleProd_COMMAND_CPDEFEND] = "/cpdefend";
    [CattleProd_COMMAND_CPTEST] = "/cptest";
}

--
-- Localized Strings
--
CattleProd_Strings = nil;

--
-- Set StringsLocale.
--
function CattleProd_SetStringsLocale()
	local locale = GetLocale();
	
	if (locale == "deDE")
	then
		-- german
		CattleProd_Strings = CattleProd_Strings_deDE;
	elseif (locale == "frFR")
	then
		-- french
		CattleProd_Strings = CattleProd_Strings_frFR;
	else
		-- us english
		CattleProd_Strings = CattleProd_Strings_enUS;
	end
end

--
-- Get localized string for key.
--
-- key Localization Key
--
-- return Localized String
--
function CattleProd_LocaleString(key)
    if (CattleProd_Strings == nil)
    then
        CattleProd_SetStringsLocale();
    end

    local string = CattleProd_Strings[key];

    return string;
end

--
-- Compare the localized string for key and the value.
--
-- key Localization Key
-- value Value
--
-- return Boolean
--
function CattleProd_LocaleEqual(key, value)
    if (CattleProd_Strings == nil)
    then
        CattleProd_SetStringsLocale();
    end

    local string = CattleProd_Strings[key];

    if (string == nil)
    then
        -- no lookup key?
        return false;
    elseif (string == value)
    then
        return true;
    else
        -- add unknown string so we can garner
        -- additional localization strings
        CattleProd_AddUnknownLocaleString(key, value);
        return false;
    end		
end

--
-- Unknown Strings
--
CattleProd_UnknownStrings = {}

--
-- Add unknown locale string.
--
-- key Localization Key
-- value Value
--
function CattleProd_AddUnknownLocaleString(key, string)
    local identifier = key .. ":" .. string;
    CattleProd_UnknownStrings[identifier] = string;
end
